// MH1034DLL.h : main header file for the SimpleMonoDLL DLL
//

#pragma once

#ifndef __AFXWIN_H__
	#error "include 'stdafx.h' before including this file for PCH"
#endif

#include "resource.h"		// main symbols


#define WIN32DLL_API BOOL __stdcall // __declspec(dllexport)

WIN32DLL_API HJYFindMH1034Mono();
WIN32DLL_API HJYInitializeMono();
WIN32DLL_API HJYReadInitStatus(long *initStatus);

WIN32DLL_API HJYReadCurrentWavelength(float *wl);
WIN32DLL_API HJYMoveToWavelengthWaitBusy(float wl);
WIN32DLL_API HJYMoveToWavelengthNoBusy(float wl);

WIN32DLL_API HJYReadCurrentStepPosition(long *stepPos);
WIN32DLL_API HJYMoveToStepPosition(long stepPos);

WIN32DLL_API HJYMotorBusy(BOOL *isBusy);

WIN32DLL_API HJYFwReadCurrentPosition(long *position);
WIN32DLL_API HJYFwMoveToPositionWaitBusy(long position);
WIN32DLL_API HJYFwMoveToPositionNoBusy(long position);

WIN32DLL_API HJYSetMonoSteps(long lStepPosition);

WIN32DLL_API HJYSetMonoWavelength(float fWavelength);


WIN32DLL_API HJYReadCalcAbsStepPositionInput(long *lStepPosition);
WIN32DLL_API HJYReadCalcAbsStepPositionOutput(long *lStepPosition);

WIN32DLL_API HJYReadMonoRunTimeOffset(long * lRunTimeOffset);
WIN32DLL_API HJYReadMonoActiveGratingStepOffset(long * lGratingStepOffset);
WIN32DLL_API HJYReadMonoLastCorrOffset(long * lLastCorrOffset);
WIN32DLL_API HJYSetMonoRunTimeOffset(long lRunTimeOffset);


WIN32DLL_API HJYTurretInitialize();
WIN32DLL_API HJYTurretReadPosition(int *position);
WIN32DLL_API HJYTurretMoveToPosition(int position);
WIN32DLL_API HJYTurretBusy(BOOL *isBusy);